Last Comment Bug 762479 - Update Migration schema check to Places v21
: Update Migration schema check to Places v21
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 16
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 720081
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 06:45 PDT by Gian-Carlo Pascutto [:gcp]
Modified: 2012-06-18 11:27 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
Patch 1. Update version check (1.96 KB, patch)
2012-06-07 06:49 PDT, Gian-Carlo Pascutto [:gcp]
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Gian-Carlo Pascutto [:gcp] 2012-06-07 06:45:54 PDT
The places schema was changed in Firefox 14.

For Native Fennec release, users will be (should be?) on Firefox 10.x when they upgrade, and they will have a schema version in the range 12-20. Native Fennec checks if the Places version is supported before allowing an upgrade.

Because it was increased in XUL beta 14, beta users transitioning to native currently will no longer be able to migrate their data.

This increases the version check to support the changes in 14. The actual schema changes are inconsequential for Native Fennec.
Comment 1 Gian-Carlo Pascutto [:gcp] 2012-06-07 06:49:04 PDT
Created attachment 630952 [details] [diff] [review]
Patch 1. Update version check

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Bug 720081
User impact if declined: Beta users will lose history/bookmarks
Comment 2 Gian-Carlo Pascutto [:gcp] 2012-06-07 06:53:29 PDT
Comment on attachment 630952 [details] [diff] [review]
Patch 1. Update version check

The breaking bug was committed to m-a but that is in m-b by now.
Comment 3 Gian-Carlo Pascutto [:gcp] 2012-06-07 07:07:29 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/a281462f3f4e
Comment 4 Graeme McCutcheon [:graememcc] 2012-06-08 04:22:38 PDT
https://hg.mozilla.org/mozilla-central/rev/a281462f3f4e

(Merged by Ed Morley)
Comment 5 Alex Keybl [:akeybl] 2012-06-15 15:34:34 PDT
Comment on attachment 630952 [details] [diff] [review]
Patch 1. Update version check

We shouldn't need this for our FN14.0 release, but we do need it on the beta channel prior to FN15's uplift. Given that, let's only land on tip of mozilla-beta (as well as mozilla-aurora).

Note You need to log in before you can comment on or make changes to this bug.